<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <ng-container *ngIf="checkConfirmButton()">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonText="{{ 'development.promulgate.button.confirm' | translate }}"
      (click)="submit(TypeStateConst.CONFIRM, true, ConfirmQuesConst.CONFIRM)"
    >
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonText="{{ 'development.promulgate.button.rejectConfirm' | translate }}"
      (click)="submit(TypeStateConst.CONFIRM, false, ConfirmQuesConst.CONFIRMCANCEL)"
    >
    </mb-button>
  </ng-container>
  <ng-container *ngIf="checkRejectConfirmButton()">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonText="{{ 'development.promulgate.button.confirmCancel' | translate }}"
      (click)="submit(TypeStateConst.CANCEL, true, ConfirmQuesConst.REJECTCONFIRM)"
    >
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonText="{{ 'development.promulgate.button.rejectConfirmCancel' | translate }}"
      (click)="submit(TypeStateConst.CANCEL, false, ConfirmQuesConst.CANCELREJECTCONFIRM)"
    >
    </mb-button>
  </ng-container>
</div>
<nz-card class="card mt-0 card-header">
  <div nz-row [nzGutter]="[32, 32]">
    <div nz-col class="gutter-row" nzLg="6" *ngIf="publishCode">
      <span class="title-section">{{ 'development.promulgate.search.issueCode' | translate }}</span
        ><br />
      <label class="text-label">{{ publishCode }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="6" *ngIf="isCheckDecision && proposeCategory === ProposeCategoryConst.ELEMENT">
      <span class="title-section">{{ 'development.promulgate.action.proposeType' | translate }}</span
        ><br />
      <label class="text-label">{{ proposeID }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <span class="title-section">{{ 'development.promulgate.search.issueContent' | translate }}</span
      ><br />
      <label class="text-label">{{ publishContent }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <span class="title-section">{{ 'development.promulgate.action.statusPublish' | translate }}</span
        ><br />
      <label class="text-label">{{ statusPublishName }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="6" *ngIf="withdrawNoteName">
      <span class="title-section">{{ 'development.proposed-unit.table.noteWithdraw' | translate }}</span
        ><br />
      <label class="text-label">{{ withdrawNoteName }}</label>
    </div>
  </div>
</nz-card>

<nz-card class="card">
  <mb-table-wrap [mbTitle]="'development.promulgate.section.listEmp' | translate" [extra]="false">
    <mb-table
      [tableConfig]="tableConfig"
      [tableData]="dataTable"
      [heightTable]="heightTable"
      >
    </mb-table>
  </mb-table-wrap>

  <ng-template #groupCBHeaderTmpl>
    <label
      nz-checkbox
      [nzChecked]="checked"
      (nzCheckedChange)="onAllChecked($event)"
    >
    </label>
  </ng-template>

  <ng-template #groupCBTmpl let-id="id" let-statusPublishCode="statusPublishCode">
    <label
      nz-checkbox
      [nzChecked]="quantityMap.has(id)"
      (nzCheckedChange)="onItemChecked(id, $event)"
      *ngIf="showCheckboxEmployeeList(statusPublishCode)"
    >
    </label>
  </ng-template>

  <ng-template #joinDateTmpl let-joinCompanyDate="joinCompanyDate">
    <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="joinCompanyDate"></em>
    <span class="joinCompanyDate">{{ joinCompanyDate | date: 'dd/MM/yyyy' }}</span>
  </ng-template>

  <ng-template #effectiveDateTmpl let-issueEffectiveStartDate="issueEffectiveStartDate">
    <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="issueEffectiveStartDate"></em>
    <span class="joinCompanyDate">{{ issueEffectiveStartDate | date: 'dd/MM/yyyy' }}</span>
  </ng-template>

  <ng-template #endDateTmpl let-issueEffectiveEndDate1="issueEffectiveEndDate1">
    <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="issueEffectiveEndDate1"></em>
    <span class="joinCompanyDate">{{ issueEffectiveEndDate1 | date: 'dd/MM/yyyy' }}</span>
  </ng-template>

  <ng-template #maximumTimeTmpl let-maximumTime="maximumTime">
    <ng-container *ngIf="maximumTime">
      <span class="maximumTime">{{ maximumTime }}</span>
      <mb-select
        [(ngModel)]="typeMaximumTime"
        [mbDataSelects]="listTypeMaximumTime"
        [mbDisable]="true"
        mbKeyLabel="name"
        mbKeyValue="type"
        mbPlaceholder="{{
          'development.promulgate.section.typeMaximumTime' | translate
        }}"
        class="typeMaximumTime"
      >
      </mb-select>
    </ng-container>
  </ng-template>

  <ng-template #reportApproveTmpl let-processFileId="processFileId" let-processFileName="processFileName">
    <a (click)="downloadReportApprove(processFileId, processFileName)">
      {{ processFileName }}
    </a>
  </ng-template>

  <ng-template #ideaConfirmIssueTmpl let-commentConfirmPublish="commentConfirmPublish">
    <em
      nz-icon
      nzType="pushpin"
      nzTheme="outline"
      class="commentConfirmPublish"
      *ngIf="commentConfirmPublish"
      (click)="showCommentConfirmPublish(commentConfirmPublish)"
    ></em>
  </ng-template>

  <nz-table
    class="rotationTable"
    #basicTable
    [nzData]="listFile?.length > 0 ? listFile : [{}]"
    [nzShowPagination]="false"
  >
    <thead>
      <tr>
        <th nzWidth="300px" scope="col" rowspan="2">{{ 'development.promulgate.table.needPrint' | translate }}</th>
        <th scope="col" rowspan="2" nzWidth="476px">
          {{ 'development.promulgate.table.docDigitalSignature' | translate }}
        </th>
        <th scope="col" rowspan="2" nzWidth="476px">
          {{ 'development.promulgate.table.docPublish' | translate }}
        </th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          <label nz-checkbox [(ngModel)]="isCheckDecision" [nzDisabled]="true">
            {{ checkProposeCategory() }}
          </label>
        </td>
        <td>
          <span class="file" (click)="downloadFile(listFileDecision.decisionSignId, listFileDecision.decisionSignName)">
            {{ listFileDecision?.decisionSignName }}
          </span>
        </td>
        <td>
          <span
            class="file"
            (click)="downloadFile(listFileDecision?.decisionPublishId, listFileDecision?.decisionPublishName)"
            >{{ listFileDecision?.decisionPublishName }}</span
          >
        </td>
      </tr>
      <tr *ngIf="proposeCategory === categoryConst.ELEMENT">
        <td>
          <label nz-checkbox [(ngModel)]="isIncomeAnnouncement" [nzDisabled]="true">
            {{ 'development.proposed-unit.reportCard.notiIncome' | translate }}
          </label>
        </td>
        <td>
          <span
            class="file"
            (click)="
              downloadFile(listFileIncomeAnnouncement?.decisionSignId, listFileIncomeAnnouncement?.decisionSignName)
            "
            >{{ listFileIncomeAnnouncement?.decisionSignName }}</span
          >
        </td>
        <td>
          <span
            class="file"
            (click)="
              downloadFile(
                listFileIncomeAnnouncement.decisionPublishId,
                listFileIncomeAnnouncement?.decisionPublishName
              )
            "
            >{{ listFileIncomeAnnouncement?.decisionPublishName }}</span
          >
        </td>
      </tr>
      <tr *ngIf="proposeCategory === categoryConst.ELEMENT">
        <td>
          <label nz-checkbox [(ngModel)]="isModeInsurance" [nzDisabled]="true">
            {{ 'development.proposed-unit.reportCard.notiInsuranceMode' | translate }}
          </label>
        </td>
        <td>
          <span
            class="file"
            (click)="downloadFile(listFileModeInsurance.decisionSignId, listFileModeInsurance.decisionSignName)"
          >
            {{ listFileModeInsurance?.decisionSignName }}
          </span>
        </td>
        <td>
          <span
            class="file"
            (click)="downloadFile(listFileModeInsurance.decisionPublishId, listFileModeInsurance.decisionPublishName)"
            >{{ listFileModeInsurance?.decisionPublishName }}</span
          >
        </td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card class="card">
  <div>
    <div class="wrap-header-report">
      <h3 class="title">{{ 'development.promulgate.section.decisionToIssue' | translate }}</h3>
    </div>



    <div nz-row [nzGutter]="[32, 32]" [formGroup]="form">
      <div nz-col class="gutter-row" nzLg="4">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{
            'development.promulgate.section.effectiveDate' | translate
          }}"
          formControlName="effectiveDate"
          [mbDisabled]="true"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="4" *ngIf="form?.get('effectiveDateOld')?.value">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.promulgate.section.effectiveDateOld' | translate }}"
          formControlName="effectiveDateOld"
          [mbDisabled]="true"
        >
        </mb-date-picker>
      </div>
    </div>

    <div nz-row [nzGutter]="[32, 32]" [formGroup]="form" *ngIf="form?.get('decisionNumber')?.value">
      <div nz-col class="gutter-row" nzLg="4">
        <mb-input-text
          mbLabelText="{{ 'development.promulgate.section.decisionNumber' | translate }}"
          mbPlaceholderText="{{ 'development.promulgate.section.decisionNumber' | translate }}"
          formControlName="decisionNumber"
          [mbMaxLength]="20"
          [mbDisable]="true"
        >
        </mb-input-text>
      </div>
      <ng-container *ngIf="form?.get('decisionNumber')?.value">
        <div nz-col class="gutter-row" nzLg="4">
          <mb-date-picker
            mbFormat="dd/MM/yyyy"
            mbPlaceholderText="dd/mm/yyyy"
            mbLabelText="{{
              'development.promulgate.section.dateSign' | translate
            }}"
            formControlName="signedDate"
            [mbDisabled]="true"
          >
          </mb-date-picker>
        </div>

        <div nz-col class="gutter-row" nzLg="8">
          <mb-input-text
            mbLabelText="{{ 'development.promulgate.section.signer' | translate }}"
            mbPlaceholderText="{{ 'development.promulgate.section.signer' | translate }}"
            formControlName="signerCode"
            [mbDisable]="true"
          >
          </mb-input-text>
        </div>
        <div nz-col class="gutter-row" nzLg="24">
          <mb-input-text
            [mbIsTextAre]='true'
            [mbConfig]="{ rows: 4, autoSize: true }"
            [mbMaxLength]="100"
            formControlName="comment"
            mbLabelText="{{ 'development.promulgate.section.noteQTCT' | translate }}"
            mbPlaceholderText="{{ 'development.promulgate.section.noteQTCT' | translate }}"
            [mbDisable]="true"
          ></mb-input-text>
        </div>
      </ng-container>
      
    </div>
    <div nz-row [nzGutter]="[32, 32]">
      <div nz-col
        class="gutter-row"
        nzLg="8"
        *ngIf="dataReason.commentsIssueTransfer">
        <mb-input-text
          mbLabelText="{{ 'development.promulgate.section.noteMovePromulgate' | translate }}"
          mbPlaceholderText="{{ 'development.promulgate.section.noteMovePromulgate' | translate }}"
          [mbDisable]="true"
          [(ngModel)]="dataReason.commentsIssueTransfer"
          maxlength="100"
        >
        </mb-input-text>
      </div>
    </div>
  </div>
</nz-card>

<nz-card class="card" *ngIf="dataReason?.reasonOrCorrection === true || dataReason?.reasonOrCorrection === false">
  <div nz-row [nzGutter]="[32, 32]">
    <div
      nz-col
      class="gutter-row"
      nzLg="8"
    >
      <mb-select
        [mbDataSelects]="dataDropdown"
        mbKeyLabel="value"
        mbKeyValue="state"
        [mbDisable]="true"
        mbLabelText="{{ 'development.promulgate.section.reasonCancel' | translate }}"
        mbPlaceholder="{{ 'development.promulgate.section.reasonCancel' | translate }}"
        [(ngModel)]="dataReason.reasonOrCorrection"
      >
      </mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="8" *ngIf="dataReason.viewDetailReasonOrCorrection">
      <mb-input-text
        mbLabelText="{{ 'development.promulgate.section.detailReasonCancel' | translate }}"
        mbPlaceholderText="{{ 'development.promulgate.section.detailReasonCancel' | translate }}"
        [mbDisable]="true"
        [(ngModel)]="dataReason.viewDetailReasonOrCorrection"
        maxlength="100"
      >
      </mb-input-text>
    </div>
  </div>
</nz-card>

<nz-card class="card" *ngIf="isCheckDecision && proposeCategory === categoryConst.ELEMENT">
  <div nz-row [nzGutter]="[32, 32]" class="reasons">
    <div nz-col class="gutter-row" nzLg="12" id="reasonDetail">
      <mb-input-text
        [mbIsTextAre]='true'
        [mbConfig]="{ rows: 4, autoSize: true }"
        [mbMaxLength]="100"
        [(ngModel)]="comment"
        mbLabelText="{{ 'development.promulgate.section.reasonDetail' | translate }}"
        mbPlaceholderText="{{ 'development.promulgate.section.reasonDetail' | translate }}"
        [mbDisable]="disableIdeaConfirm()"
      ></mb-input-text>
    </div>
  </div>
</nz-card>

<!-- Lịch sử -->
<nz-card id="tab7">
  <div nz-row>
    <div nz-col class="gutter-row" nzLg="2" (click)="expandLog()">
      <h3>{{ 'development.proposed-unit.section.proposeLogs' | translate }}</h3>
    </div>
    <div nz-col class="gutter-row" nzLg="1" (click)="expandLog()">
      <span class="iconLog">
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </div>
  </div>

  <mb-table-wrap *ngIf="isExpand" [mbTitle]="''" [extra]='false'>
    <mb-table [tableConfig]="tableLogs" [tableData]="proposeLogs"
              [heightTable]="heightTable"
              (changePageNum)='getLog($event)'
    >
    </mb-table>
  </mb-table-wrap>
</nz-card>

<ng-template #dateLog let-actionDate  = 'actionDate'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="actionDate"></em>
  <span class="sentDate">{{ actionDate | date: 'dd/MM/yyyy HH:mm' }}</span>
</ng-template>
